#ifndef ABEFORE_H_
#define ABEFORE_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"
#include "ProtoInnerCan.h"

class TaBefore{
	public:
		unsigned int OnActive;
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;

		u32 Color;
	
		int TabOrder;
	
		TRect Bound;	
		TRect Content;
		
		unsigned int CtlIndex;
		
	public:
		TaBefore(){};
		TaBefore(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		
		void Show(void);
		void FullRedraw(int Prm);
		void ReDraw(void);
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		void Check4Selected(void);
	
		int ExtRequst(unsigned char Prm){return 0;}
};



#endif

